For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet signup data
      • POSTSubmit signup data.

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APISignup

Submit signup data.

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/signup
POST
/api/admin/signup
$curl -X POST https://app.unleash-instance.example.com/api/admin/signup \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Mark Scout",
> "companyRole": "Developer",
> "companyName": "Lumon Industries",
> "companyIsNA": true,
> "productUpdatesEmailConsent": true,
> "password": "k!5As3HquUrQ",
> "inviteEmails": [
> "marks@lumon.industries",
> "hellyr@lumon.industries"
> ]
>}'
1{}

Enterprise feature

Submits the signup data for the current user.

Was this page helpful?
Previous
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

submitSignupDataSchema
namestringOptional
The user's name.
companyRolestringOptional
The role of the user within the company.
companyNamestringOptional
The name of the company.
companyIsNAbooleanOptional
Whether the company is based in North America.
productUpdatesEmailConsentbooleanOptional
Whether the user has consented to receive product update emails.
passwordstringOptional
The user's new password.
inviteEmailslist of stringsOptional
A list of email addresses to invite.

Response

This response has no body.

Errors

400
Bad Request Error
404
Not Found Error